#ifndef TXRXWIDGET_H
#define TXRXWIDGET_H

#include <QGraphicsWidget>
#include <QRect>
#include <QTimer>

class CTxRxWidget : public QGraphicsWidget
{
     Q_OBJECT
public:

    CTxRxWidget(QString Lable = QString());
    virtual ~CTxRxWidget();

    QGraphicsTextItem *mLabel;
    QGraphicsPixmapItem *mRxLedOnPixmap,*mRxLedOffPixmap;
    QGraphicsPixmapItem *mTxLedOnPixmap,*mTxLedOffPixmap;

    void Receive(void);
    void Transmit(void);

    QTimer *mRxToggleTimer;
    QTimer *mTxToggleTimer;

public slots:

    void ToggleRxLed();
    void ToggleTxLed();

};

#endif // TXRXWIDGET_H
